:root {
    --text-color-white: #ffffff;
    --text-color-dark: #4A4A4A;
    --text-color-gray: #9B9B9B;
    --text-color-dark-gray: #797979;
    --text-color-button-dark: #9b9b9b;
    --text-color-button-white: #F9F6E5;
    --text-color-dark-blue: #2B4074;
    --text-color-button-hover-white: #929292;
    --background-color-dark: #2B4074;
    --background-color-white: #FFFFFF;
    --background-button-color: #F9F6E5;
    --text-font-family-main-condensed: 'Roboto Condensed', sans-serif;
    --text-font-family-other: 'Roboto', sans-serif;
    --footer-border-color: #7EBF84;
}

html {
    scroll-behavior: smooth;
}

.button {
    cursor: pointer;
    padding: 0 35px;
    font-size: 18px;
    font-weight: 500;
    text-transform: uppercase;
    border-radius: 3px;
    height: 50px;
    font-family: var(--text-font-family-other);
}

.container {
    max-width: 1440px;
    width: 100%;
    margin: 0 auto;
}

section {
    padding-left: 10%;
    padding-right: 4%;
}

@media screen and (max-width: 320px) {
    section {
        padding-left: 20px;
        padding-right: 20px;
    }
}

/*===========================================
    header
=============================================*/

.header {
    background-color: var(--background-color-dark);
    justify-content: space-between;
    align-items: center;
    display: flex;
    padding: 17px 10%;
    position: relative;
    z-index: 100;
}

input {
    display: none;
}

.menu_button {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 3px;
    width: 40px;
    height: 40px;
    color: var(--text-color-dark-blue);
    background-color: var(--background-color-white);
    cursor: pointer;
}

.menu_button:hover {
    background-color: var(--background-button-color);
}

.header__logo {
    width: 100px;
    height: 65.73px;
}

.header__nav_menu {
    position: absolute;
    opacity: 0;
    visibility: hidden;
    border-radius: 0 3px 3px 3px;
    background-color: var(--background-color-white);
    overflow: hidden;
    transition: all 0.5s ease;
}

.header__nav_menu a {
    text-decoration: none;
    font-family: var(--text-font-family-other);
    color: var(--text-color-dark-blue);
    padding-left: 10px;
}

.header__nav_menu li {
    background-color: var(--background-color-white);
    padding: 10px 0;
    width: 140px;
}

.header__nav_menu li:hover {
    background-color: var(--background-button-color);
}

input:checked~.menu_button {
    border-radius: 3px 3px 0 0;
}

input:checked~.header__nav_menu {
    opacity: 1;
    visibility: visible;
    transition: all 0.5s ease;
}

/*======================
    header adaptive
========================*/
@media screen and (max-width: 1024px) {
    #header {
        padding-right: 40px;
    }

    .header__nav_menu {
        transform: translateX(-100px);
        border-radius: 3px 0 3px 3px;
    }
}

/*=============================================
    section: intro
===============================================*/
.intro {
    color: var(--text-color-white);
    font-family: var(--text-font-family-main-condensed);
    font-weight: 400;
    font-size: 24px;
    line-height: 26px;
    letter-spacing: 0px;
    text-align: center;
    vertical-align: bottom;
    position: relative;
    background-image: url('../images/bg-img.jpg');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-evenly;
    position: relative;
    padding: 0;
}

.intro::before {
    content: "";
    position: absolute;
    inset: 0;
    background: #212121;
    opacity: 0.5;
    z-index: 1;
}

.intro>* {
    z-index: 2;
}

.intro__carousel_text {
    font-family: var(--text-font-family-main-condensed);
    font-size: 24px;
    font-weight: 400;
}

.intro__text_wrapper {
    max-width: 80%;
    padding-top: 30px;
    padding-bottom: 30px;
}


.title {
    display: flex;
    justify-content: center;
    font-family: var(--text-font-family-main-condensed);
    font-weight: 400;
    font-size: 96px;
    line-height: 96px;
    letter-spacing: 2px;
    text-align: center;
    vertical-align: bottom;
    text-transform: uppercase;
    padding-top: 100px;
    margin: 0;
}

.read_more_btn {
    margin-top: 10px;
    margin-bottom: 150px;
    background-color: var(--background-color-dark);
    color: var(--text-color-white);
}

.read_more_btn:hover {
    background-color: var(--background-button-color);
    color: var(--text-color-dark-blue);
}

.intro__carousel .owl-dots {
    position: absolute;
    bottom: -90%;
    left: 50%;
    transform: translateX(-50%);
}

.intro .intro__carousel .owl-dots .owl-dot span {
    width: 10px;
    height: 10px;
    margin: 5px 7px;
    background-color: var(--background-button-color);
    transition: opacity .2s ease;
    border-radius: 30px;
}

.intro .intro__carousel .owl-dot.active span {
    background-color: transparent;
    border: 1px solid #fff;
}

.intro__carousel {
    width: 100%;
}

.intro .intro__carousel .owl-nav {
    position: absolute;
    display: flex;
    right: 0;
    width: 70px;
    margin: 0;
    top: 90%;
    height: 141px;
    flex-direction: column;
    justify-content: space-between;
}

.intro .owl-carousel .owl-nav button.owl-next,
.intro .owl-carousel .owl-nav button.owl-prev {
    margin: 0;
    border-radius: 0;
    background-color: var(--background-color-dark);
    width: 100%;
    height: 70px;
}

.intro .owl-carousel .owl-nav button.owl-next:hover,
.intro .owl-carousel .owl-nav button.owl-prev:hover {
    background: var(--background-button-color);
}

.intro .owl-carousel .owl-nav button.owl-next .material-symbols-sharp,
.intro .owl-carousel .owl-nav button.owl-prev .material-symbols-sharp {
    font-size: 48px;
    color: var(--text-color-white);

}

.intro .owl-carousel .owl-nav button.owl-next:hover .material-symbols-sharp,
.intro .owl-carousel .owl-nav button.owl-prev:hover .material-symbols-sharp {
    color: var(--text-color-button-hover-white);
}

/*=====================================
    intro adaptive
=======================================*/

@media screen and (max-width: 1024px) {
    .title {
        font-size: 84px;
        line-height: 84px;
    }
}

@media screen and (max-width: 768px) {
    .title {
        font-size: 60px;
        line-height: 60px;
    }
}

@media screen and (max-width: 640px) {

    .intro__carousel_text {
        display: none;
    }

    .title {
        position: relative;
        padding-bottom: 20px;
    }

    .title::after {
        content: "";
        bottom: 0;
        position: absolute;
        left: 50%;
        height: 8px;
        width: 60px;
        transform: translateX(-50%);
        background-color: var(--text-color-dark);
    }
}

@media screen and (max-width: 320px) {

    .title {
        font-size: 28px;
        letter-spacing: 0;
        line-height: 28px;
        padding-top: 36px;
        padding-bottom: 30px;
    }

    .read_more_btn {
        display: none;
    }

    .intro .intro__carousel .owl-nav {
        display: none;
    }

    .intro__carousel .owl-dots {
        bottom: -40%;
    }
}

/*================================================
    section: promo
==================================================*/

.promo {
    padding-bottom: 4%;
    padding-top: 4%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--background-color-dark);
}

.buy_btn {
    padding: 0 10px;
    background: var(--background-button-color);
    color: var(--background-color-dark);
}

.buy_btn:hover {
    color: var(--text-color-button-white);
    background-color: var(--background-color-dark);
    border: var(--background-button-color) solid 1px;
}

.cta_text_wrapper {
    display: flex;
    flex-direction: column;
    width: 60%;
}

h2.cta_text {
    margin-bottom: 2%;
    font-weight: 500;
    font-size: 24px;
    line-height: 32px;
    font-family: var(--text-font-family-other);
    color: var(--text-color-white);
    width: 100%;
}

p.cta_text {
    font-family: 'Dosis', sans-serif;
    font-size: 16px;
    line-height: 18px;
    font-weight: 300;
    color: var(--text-color-white);
    width: 100%;
    margin-top: 2%;
    margin-bottom: 2%;
}

/*============================================
    promo adaptive
==============================================*/

@media screen and (max-width: 1024px) {
    h2.cta_text {
        font-size: 18px;
        line-height: 18px;
    }

    p.cta_text {
        font-size: 14px;
    }
}

@media screen and (max-width: 640px) {
    .promo {
        flex-direction: column;
        padding-bottom: 10%;
    }

    .cta_text_wrapper {
        align-items: center;
        padding-bottom: 30px;
        width: 100%;
    }

    h2.cta_text {
        font-size: 24px;
        line-height: 24px;
        text-align: center;
    }

    p.cta_text {
        font-size: 16px;
        line-height: 18px;
        text-align: center;
    }
}

@media screen and (max-width: 320px) {
    .promo {
        padding-bottom: 15%;
    }
}

/*=============================================
    section: services
===============================================*/

.services {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    padding: 30px 0;
}

.services_text_description {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 2.7%;
    padding-left: 10%;
}

.services_text_description>* {
    margin-top: 20px;
    margin-bottom: 20px;
}

.services_text_head {
    font-family: var(--text-font-family-main-condensed);
    font-size: 48px;
    color: var(--background-color-dark);
    font-weight: 400;
    padding-bottom: 10px;
    text-align: left;
}

.services_text_main {
    font-family: var(--text-font-family-other);
    font-size: 24px;
    font-weight: 400;
    line-height: 26px;
    color: var(--text-color-dark);
    position: relative;
    padding-top: 2px;
    padding-bottom: 40px;
}

.services_text_main::after {
    content: "";
    bottom: 0;
    position: absolute;
    left: 0;
    height: 8px;
    width: 100px;
    background-color: var(--background-color-dark);
}

.services_text_content {
    font-family: var(--text-font-family-other);
    line-height: 24px;
    color: var(--text-color-dark-gray);
    font-size: 18px;
}

.services__items_wrapper {
    flex: 2;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    max-width: 960px;
    background-color: var(--background-button-color);
}

.services__item,
.services__item a {
    display: flex;
    align-items: center;
    flex-direction: column;
    text-decoration: none;
    justify-content: space-evenly;
    margin: 1px;
    min-width: 222px;
    min-height: 255px;
    position: relative;

}

.services__item {
    background-color: var(--background-color-white);
}

.item_hover_content {
    position: absolute;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: flex-end;
    bottom: 20px;
    left: 0;
    right: 0;
    padding: 0 20px;
    opacity: 0;
    transform: translateY(10px);
    transition: transform 0.8s ease;
}

.services__item:hover .item_hover_content {
    opacity: 1;
    transition: opacity 0.5s ease;
    transform: translateY(0);
}

.services__item:hover .service_image,
.services__item:hover .item_name {
    transform: translateY(-40px);
    transition: all 0.5s ease;
}

.service_image,
.item_name {
    transition: all 0.5s ease;
}

.services__item:hover {
    outline: 4px solid var(--background-color-dark);
    outline-offset: -9px;
}

.service_image {
    margin-top: 20%;
    filter: brightness(0) invert(24%) sepia(8%) saturate(4245%) hue-rotate(186deg) brightness(95%) contrast(93%);
}

.hover_text {
    font-family: var(--text-font-family-other);
    font-size: 16px;
    text-align: center;
    margin-bottom: 20px;
    color: var(--text-color-button-dark);
    font-weight: 500;
    pointer-events: none;
}


.more_link {
    font-family: var(--text-font-family-main-condensed);
    color: var(--background-color-dark);
    font-weight: 700;
    letter-spacing: 2px;
    padding-top: 10px;
    text-transform: uppercase;
}

.item_name {
    font-family: var(--text-font-family-main-condensed);
    color: var(--text-color-dark);
    text-align: center;
    margin-bottom: 50px;
    max-width: 150px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 2px;
}

/*========================================
    services adaptive
==========================================*/

@media screen and (max-width: 1024px) {
    .services_text_description {
        max-width: none;
        padding-left: 46px;
    }

    .services_text_head {
        width: 100%;
        text-align: center;
    }

    .services_text_content {
        margin-top: 20px;
    }
}

@media screen and (max-width: 900px) {
    .services__items_wrapper {
        grid-template-columns: repeat(2, 1fr);
        max-width: 480px;
    }
}

@media screen and (max-width: 768px) {
    .services_text_description {
        min-width: 300px;
    }
}

@media screen and (max-width: 640px) {
    div.services_text_description {
        text-align: center;
        margin: 10px;
        padding: 0;
    }

    .services_text_main::after {
        left: 50%;
        transform: translateX(-50%);
    }
}

@media screen and (max-width: 450px) {
    .services__items_wrapper {
        grid-template-columns: repeat(1, 1fr);
        max-width: 240px;
    }
}

@media screen and (max-width: 320px) {
    .services_text_description {
        padding-left: 10px;
    }
}

/*=========================================
    section: recent work
===========================================*/

.recent_work {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 30px 0;
    background: linear-gradient(to bottom, var(--background-color-dark) 0%, #ffffff 100%);
}

.recent_work_title {
    padding: 40px;
}

.recent_work_title h2 {
    font-family: var(--text-font-family-main-condensed);
    font-size: 48px;
    font-weight: 400;
    padding-bottom: 40px;
    text-align: center;
    color: var(--text-color-white);
    position: relative;
}

.recent_work_title h2::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 8px;
    width: 100px;
    background-color: var(--background-color-white);
}

.content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.portfolio_item {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px;
}

.portfolio_image {
    border-radius: 3%;
}

.portfolio_image_btn {
    position: relative;
}

.portfolio_image_btn:hover .hover_info {
    opacity: 0.835;
    transition: all 0.3s ease;
}

.hover_info {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    inset: 12px;
    opacity: 0;
    background-color: var(--background-button-color);
    border-radius: 3px;
}

.hover_info a {
    text-decoration: none;
    outline: none;
    gap: 0;
}

.hover_info svg {
    fill: var(--background-color-dark);
    width: 28px;
    height: 28px;
    margin: 7px;
    cursor: pointer;
}

.content_name {
    font-family: var(--text-font-family-main-condensed);
    color: var(--text-color-dark-blue);
    font-weight: 700;
    font-size: 16px;
    margin: 38px;
    letter-spacing: 2px;
}

/*=================================
    recent work adaptive
===================================*/

@media screen and (max-width: 1148px) {
    .content {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 768px) {
    .content_name {
        margin-bottom: 10px;
        margin-top: 30px;
    }

    .content {
        padding-bottom: 50px;
    }
}

@media screen and (max-width: 640px) {
    .content {
        grid-template-columns: repeat(1, 1fr);
    }

    .recent_work_title {
        padding: 0;
        padding-bottom: 40px;
    }

    .content_name {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .portfolio_item {
        margin: 0;
    }
}

/*==========================================
    section: video block
============================================*/

.video_block {
    display: flex;
    flex-direction: row;
    gap: 50px;
    justify-content: space-between;
    align-items: stretch;
    margin-top: -30px;
    padding-bottom: 100px;
    padding-top: 50px;
    background-color: #fff;
}

.video_content {
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 400px;
    display: flex;
    flex-direction: column;
    max-width: 50%;
    justify-content: space-between;
}

.video {
    border-radius: 3px;
    display: flex;
}

.video img,
img.video {
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.video_title {
    font-family: var(--text-font-family-main-condensed);
    color: var(--text-color-dark);
    font-weight: 400;
    font-size: 48px;
    position: relative;
    margin-bottom: 2%;
    padding-bottom: 5%;
    margin-top: 0;
}

.video_title::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 8px;
    width: 100px;
    background-color: var(--background-color-dark);
}

.video_description {
    font-family: var(--text-font-family-other);
    color: var(--text-color-gray);
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 20px;
}

.play_video_btn {
    color: var(--text-color-button-white);
    background-color: var(--background-color-dark);
    max-width: 230px;
}

.play_video_btn:hover {
    background-color: var(--background-button-color);
    color: var(--text-color-dark-blue);
    border: solid 1px var(--background-color-dark);
}

/*============================================
    video block adaptive
==============================================*/

@media screen and (max-width: 1024px) {
    .video {
        width: 400px;
    }

    .video_block {
        padding-left: 5%;
    }

    .video_title {
        padding-bottom: 30px;
        margin-bottom: 20px;
    }
}


@media screen and (max-width: 768px) {
    .video_description {
        font-size: 16px;
    }

    .video {
        max-width: 270px;
        display: block;
    }

    .video_title::after {
        width: 88px;
    }

    .video_content {
        max-width: 60%;
    }

    .video_block {
        gap: 20px;
        padding-right: 10px;
    }
}

@media screen and (max-width: 640px) {
    .video_block {
        flex-wrap: wrap;
        padding: 0;
    }

    .video_content {
        align-items: center;
        max-width: 90%;
    }

    .video_title::after {
        left: 50%;
        transform: translateX(-50%);
    }

    .video_description {
        text-align: center;
        margin-top: 30px;
        margin-bottom: 50px;
    }

    .play_video_btn {
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 320px) {
    .video_block {
        padding: 20px;
    }

    .video_content {
        max-width: 100%;
    }

    .video_title::after {
        width: 45px;
    }
}

/*=============================================
    section: latest news
===============================================*/

.latest_news {
    background-color: var(--background-button-color);
    padding-left: 100px;
    padding-right: 50px;
    padding-bottom: 50px;
}

.news_title {
    font-family: var(--text-font-family-main-condensed);
    color: var(--text-color-dark);
    font-weight: 400;
    text-align: center;
    font-size: 48px;
    position: relative;
    margin-bottom: 80px;
    padding-top: 60px;
    padding-bottom: 30px;
}

.news_title::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 8px;
    width: 100px;
    background-color: var(--background-color-dark);
}

.news_content {
    margin: 50px;
    columns: 4;
    column-gap: 30px;
}

.news_block img {
    width: 100%;
    height: 100%;
    display: block;
}

.news_block {
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
    align-self: self-start;
    width: 100%;
    border-radius: 3px;
}

.news_info_shading {
    position: absolute;
    inset: 0;
    opacity: 0;
    width: 100%;
    height: 100%;
    background-color: var(--background-color-dark);
    pointer-events: none;
}

.news_info_btn {
    position: absolute;
    opacity: 0;
    fill: var(--background-color-white);
    width: 28px;
    height: 28px;
    inset: 0;
    margin: auto;
}

.news_block:hover::after {
    content: "";
    position: absolute;
    inset: 0;
    border: 10px solid var(--background-color-dark);
    z-index: 5;
    pointer-events: none;
}

.news_block:hover .news_info_btn {
    opacity: 1;
    cursor: pointer;
}

.news_block:hover .news_info_shading {
    opacity: 0.3;
    transition: all 0.5s ease;
}

.news_block:hover .news_name {
    bottom: 10%;
    background-color: var(--background-color-dark);
    white-space: wrap;
    color: var(--text-color-button-white);
    transition: all 0.5s ease;
}

.news_name {
    position: absolute;
    padding-left: 20px;
    bottom: 0;
    width: 100%;
    font-size: 18px;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 40px;
    font-family: var(--text-font-family-main-condensed);
    color: var(--text-color-dark);
    background-color: var(--background-color-white);
    font-weight: 700;
    letter-spacing: 2px;
    transition: all 0.5s ease;
}

/*===============================================
    latest news adaptive
=================================================*/

@media screen and (max-width: 1400px) {
    .news_content {
        columns: 3;
        padding-bottom: 30px;
    }

    .latest_news {
        padding: 0;
    }
}

@media screen and (max-width: 940px) {
    .news_content {
        columns: 2;
    }
}

@media screen and (max-width: 640px) {
    .news_content {
        margin-left: 30px;
        margin-right: 30px;
    }
}

@media screen and (max-width: 600px) {
    .news_content {
        columns: 1;
    }
}

@media screen and (max-width: 320px) {
    .news_title {
        font-size: 24px;
        margin-bottom: 0;
        padding-bottom: 45px;
    }

    .news_block:hover .news_name {
        padding-left: 10px;
    }
}

/*=========================================
    section: testimonal
===========================================*/

.testimonial {
    display: flex;
    justify-content: center;
    padding: 30px;
    padding-bottom: 100px;
    background-color: var(--background-color-white);
}

.quote {
    color: var(--text-color-dark-blue);
    font-weight: 400;
    font-size: 38px;
    line-height: 14px;
    margin: 0;
    padding: 0;
    line-height: 0;
}

.br_mobile {
    display: none;
}

.quotes_carousel {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}

.cite_wrapper {
    margin-bottom: 40px;
    font-family: var(--text-font-family-main-condensed);
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 2px;
    color: var(--text-color-dark);
    font-style: normal;
}

.quote_text {
    font-family: var(--text-font-family-main-condensed);
    color: var(--text-color-dark);
    font-size: 36px;
    font-weight: 400;
    text-align: center;
    padding-bottom: 10px;
}

.highlight {
    color: var(--text-color-dark-blue);
    font-weight: 700;
}

.cite {
    font-style: normal;
}

.testimonial .indicator {
    background-color: var(--background-color-dark);
    border: 1px var(--background-color-dark) solid;
}

.testimonial .indicator.active {
    background-color: transparent;
    cursor: default;
}

/*==============================================
    testimonal adaptive
================================================*/

@media screen and (max-width: 1024px) {
    .quote_text {
        font-size: 32px;
    }

    .cite_wrapper {
        font-size: 20px;
    }
}

@media screen and (max-width: 720px) {
    .br_mobile {
        display: inline;
    }
}

@media screen and (max-width: 430px) {
    .quote_text {
        font-size: 24px;
    }

    .testimonial {
        padding-left: 0;
        padding-right: 0;
    }
}

/*==============================================
    footer
================================================*/

#footer {
    position: relative;
    padding: 10% 8% 42px 10%;
    background-color: var(--background-color-dark);
}

.footer__logo_btn {
    position: absolute;
    left: 50%;
    top: -30px;
    transform: translateX(-50%);
    border-radius: 3px;
    background-color: var(--background-color-dark);
    width: 230px;
    height: 60px;
}

.footer_br320 {
    display: none;
}

.footer__logo_btn .header__logo {
    height: 100%;
}

.footer__title {
    font-family: var(--text-font-family-other);
    color: var(--text-color-white);
    font-size: 24px;
    letter-spacing: 2px;
    font-weight: 400;
    line-height: 32px;
}

.footer__socials,
.footer__nav {
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    margin: 100px 0;
    list-style: none;
}

.footer__socials li+li {
    border-left: 1px solid var(--footer-border-color);
}

.footer__socials li {
    width: 100%;
}

.footer__socials a {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 400;
    font-size: 20px;
    text-decoration: none;
    line-height: 14px;
    color: var(--text-color-white);
    padding: 20px 0;
    border-bottom: 1px solid var(--footer-border-color);
    border-top: 1px solid var(--footer-border-color);
}

.footer__socials a:hover {
    color: var(--text-color-button-hover-white);
}

.footer__nav {
    padding-left: 0;
}

.footer__nav li {
    width: 100%;
    display: flex;
}

.footer__nav a:hover {
    opacity: 0.7;
    transition: 0.3s;
}

.footer__list a {
    color: var(--text-color-white);
    text-decoration: none;
}

.footer__list {
    display: flex;
    flex-direction: column;
    align-items: start;
    font-family: var(--text-font-family-other);
    color: var(--text-color-white);
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
}

.footer__item_name {
    font-family: var(--text-font-family-main-condensed);
    text-transform: uppercase;
    font-weight: 700;
    font-size: 16px;
    letter-spacing: 2px;
    color: var(--text-color-button-white);
    padding-bottom: 10px;
}

.up {
    position: absolute;

    display: flex;
    justify-content: end;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 42px;
    background-color: var(--background-button-color);
}

.up_btn {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    font-family: var(--text-font-family-main-condensed);
    background-color: var(--background-button-color);
    color: var(--text-color-dark);
    margin-right: 2%;
    width: 130px;
    height: 42px;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 2px;
    text-transform: uppercase;
    text-decoration: none;
    cursor: pointer;
}

.up_btn .material-symbols-sharp {
    font-size: 40px;
    font-weight: 200;
}

/*==============================================
    footer adaptive
================================================*/

@media screen and (max-width: 1024px) {
    #footer {
        padding-left: 40px;
        padding-right: 40px;
    }

    .footer__title {
        font-size: 36px;
    }

    .footer__item_name {
        font-size: 18px;
    }

    .footer__list {
        font-size: 16px;
    }
}

@media screen and (max-width: 768px) {
    #footer {
        padding-bottom: 1%;
    }

    .footer__socials {
        margin-bottom: 60px;
    }

    .footer__nav {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 30px;
        margin-top: 0px;
        margin-bottom: 90px;
    }

    .footer__item_name {
        padding-bottom: 30px;
    }
}

@media screen and (max-width: 640px) {
    .footer__title {
        font-size: 24px;
        line-height: 26px;
        margin-top: 30px;
    }
}

@media screen and (max-width: 320px) {
    #footer {
        padding: 100px 20px;
    }

    .footer__socials li+li {
        border-left: none;
    }

    .footer_br320 {
        display: inline;
    }

    .footer__socials {
        flex-direction: column;
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .footer__socials a {
        border: none;
    }

    .footer__title {
        font-size: 20px;
        line-height: 22px;
        text-align: center;
    }

    .footer__nav {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer__nav li {
        justify-content: center;
    }

    .up {
        height: 132px;
        justify-content: center;
        padding-bottom: 10px;
    }

    .up_btn {
        height: 100%;
        flex-direction: column;
        justify-content: flex-end;
    }
}